File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Servlets and the fly likes Can you change the JSP version? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Servlets
Bookmark "Can you change the JSP version?" Watch "Can you change the JSP version?" New topic
Author

Can you change the JSP version?

Tim Smith
Greenhorn

Joined: Mar 07, 2001
Posts: 19
In you Jrun web server?
Geoff Tate
Ranch Hand

Joined: Feb 06, 2001
Posts: 55
not sure what you mean by version - are u talking about the API like Servlet 2.2 or JSP 1.0?


<BLOCKQUOTE><font size="1" face="Verdana, Arial">quote:</font><HR> fantastic, a towel? <HR></BLOCKQUOTE>
Ben Forta
Greenhorn

Joined: Jan 31, 2001
Posts: 5
JRun 3 (the current shipping version) supports JSP 1.1. Future versions of JRun will support newer JSP specs as they evolve.
------------------
Ben Forta Author of Java Server Pages Application Development


<A HREF="http://www.forta.com" TARGET=_blank rel="nofollow">Ben Forta</A> Author of <A HREF="http://www.amazon.com/exec/obidos/ASIN/067231939X/electricporkchop" TARGET=_blank rel="nofollow">Java Server Pages Application Development</A>
Carl Trusiak
Sheriff

Joined: Jun 13, 2000
Posts: 3340
Is there any schedule for JRun to implement JSP 1.2 and Servlets 2.3? http://java.sun.com/aboutJava/communityprocess/jsr/jsr_053_jspservlet.html


I Hope This Helps
Carl Trusiak, SCJP2, SCWCD
Tim Smith
Greenhorn

Joined: Mar 07, 2001
Posts: 19
Currently using JRun 2.3 and that has JSP v.92 (I think) Can I upgrade to the new version of JSP?
Brett Knapik
Ranch Hand

Joined: Oct 15, 2000
Posts: 255
As far as updating for 1.2 and 2.3 versions of the API's as far as I know you will have to bug them in the Jrun confrence forum, they have a section devoted for feature requests.
------------------
In Gates we trust. Yeah right....


"Programming today is a race between software engineers striving to build bigger and better idiot-proof programs, and the Universe trying to produce bigger and better idiots. So far, the Universe is winning."
Ben Forta
Greenhorn

Joined: Jan 31, 2001
Posts: 5
JRun 4 will support both JSP 1.2 and Servlet 2.3 (among other things). I can't give a definite date yet, but it is being worked on, and it will be this year.
------------------
Ben Forta Author of Java Server Pages Application Development
 
With a little knowledge, a cast iron skillet is non-stick and lasts a lifetime.
 
subject: Can you change the JSP version?